"use server";

import { eq } from "drizzle-orm";
import { db } from "../db";
import { countries } from "../db/schema";
import { revalidatePath } from "next/cache";

export async function deleteCountry(id: string) {
  await db.delete(countries).where(eq(countries.id, id));
  revalidatePath("/");
}
